<?php 
require_once '../../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(1, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(2, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../../');
	exit;
}


if($type=='module'){

	// Suppression du module
	$requete_suppression = mysqli_query($connexion_mysql, 'DELETE FROM admin_modules WHERE module_id='.$module_id);

	// Défragmentation de la table
	$requete_defragmentation_1 = mysqli_query($connexion_mysql, 'ALTER TABLE admin_modules AUTO_INCREMENT=1');
	$requete_defragmentation_2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE admin_modules');

	// Mise à jour du classement après suppression
	mise_a_jour_classement($connexion_mysql, 'admin_modules', 'module_id', 'module_classement', '');

}else{

	// Suppression de la rubrique
	$requete_suppression = mysqli_query($connexion_mysql, 'DELETE FROM admin_rubriques WHERE rubrique_id='.$rubrique_id);

	// Défragmentation de la table
	$requete_defragmentation_1 = mysqli_query($connexion_mysql, 'ALTER TABLE admin_rubriques AUTO_INCREMENT=1');
	$requete_defragmentation_2 = mysqli_query($connexion_mysql, 'OPTIMIZE TABLE admin_rubriques');

	// Mise à jour du classement
	mise_a_jour_classement($connexion_mysql, 'admin_rubriques', 'rubrique_id', 'rubrique_classement', 'WHERE rubrique_module='.$module_id);

}

header('Location: ./');
?>
